"use strict";

var _chunkL2L6DYC5cjs = require('../../chunk-L2L6DYC5.cjs');
require('../../chunk-AG2W27IB.cjs');
require('../../chunk-34JNCZI5.cjs');
require('../../chunk-JQCYFPRP.cjs');
require('../../chunk-QLIFS36C.cjs');


var _chunkT5M3Y7TRcjs = require('../../chunk-T5M3Y7TR.cjs');
require('../../chunk-HQ3VPPTJ.cjs');
require('../../chunk-VDIMB54O.cjs');
require('../../chunk-5G52PYZN.cjs');
require('../../chunk-MNRWOH2Z.cjs');
require('../../chunk-F2L2RVEN.cjs');
require('../../chunk-LDWZJG7W.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-ZWGCEINN.cjs');
require('../../chunk-VDFTYDQM.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-KYR3LZJT.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-IJRYLC3Q.cjs');
require('../../chunk-ZVO7DM5W.cjs');
require('../../chunk-A3RUUX3B.cjs');
require('../../chunk-S4V3EGNS.cjs');
require('../../chunk-Y6KPVUVD.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-SX5YQHZO.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VFIICDKU.cjs');
require('../../chunk-KMMN6P2X.cjs');
require('../../chunk-PDXKNB3S.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-SLEHBFHV.cjs');
require('../../chunk-KXWDOTVK.cjs');
require('../../chunk-AGQV4BOO.cjs');
require('../../chunk-LURLRIHI.cjs');
require('../../chunk-67Q7IWIS.cjs');
require('../../chunk-RLHQ6YHC.cjs');
require('../../chunk-3IFQYDHV.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-XHY6IC7T.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-7BEQHGH5.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-SFVQNT7T.cjs');
require('../../chunk-DRU33ZUG.cjs');
require('../../chunk-Z4FNOCPD.cjs');
require('../../chunk-GWXPD6I7.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-B3U4FDQH.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-RHWKNEUH.cjs');
require('../../chunk-TUWUD5A6.cjs');
require('../../chunk-CUGOCLWN.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-QK5A4MK5.cjs');
require('../../chunk-HHZVPIBD.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/channel-resilient.spec.ts
describe("channel-resilient.spec", () => {
  it("should buffer", async () => {
    const rc = new (0, _chunkL2L6DYC5cjs.ResillientChannel)();
    rc.postMessage("1");
    const d1 = new (0, _chunkT5M3Y7TRcjs.DebugChannel)();
    rc.setChannel(d1);
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
      ]
    `);
    rc.postMessage("2");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    rc.deleteChannel();
    rc.postMessage("3");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    const d2 = new (0, _chunkT5M3Y7TRcjs.DebugChannel)();
    rc.setChannel(d2);
    expect(d2.messages).toMatchInlineSnapshot(`
      Array [
        "3",
      ]
    `);
  });
});
//# sourceMappingURL=channel-resilient.spec.cjs.map