import {
  files,
  walkSync
} from "../chunk-DGV5XP6E.js";
import "../chunk-QU4LUB3H.js";
import "../chunk-EGXUCKU4.js";
import "../chunk-52W67DTK.js";
import "../chunk-UMUHNSGZ.js";
import "../chunk-XBO3LADP.js";
import "../chunk-6NLXLMPR.js";
import "../chunk-TTY3W5S3.js";
import "../chunk-FXEJZIUO.js";
import "../chunk-HIX6EHLQ.js";
import "../chunk-TME24W5G.js";
import "../chunk-Q22SMHMI.js";
import "../chunk-DVBRAJ3X.js";
import "../chunk-VK3HQ7U6.js";
import "../chunk-GKKLBSFA.js";
import "../chunk-RNL46FQ3.js";
import "../chunk-MWUFUBY5.js";
import "../chunk-FLFB2K34.js";
import "../chunk-264HKVNG.js";
import "../chunk-A7SUGWC3.js";
import "../chunk-FKHG7VOG.js";
import "../chunk-3YFOOUF5.js";
import "../chunk-HST4VI64.js";
import "../chunk-CAQ6NCVP.js";
import "../chunk-WZDTE5W3.js";
import "../chunk-4DIYVBKS.js";
import "../chunk-JL42OWNJ.js";
import "../chunk-VBSEGKT7.js";
import "../chunk-FC4UNLD3.js";
import "../chunk-O3LZNRME.js";
import "../chunk-KTB5ATV6.js";
import "../chunk-2VA3UGW7.js";
import "../chunk-X65GOL6G.js";
import "../chunk-5OVSRAPG.js";
import "../chunk-ND3LJXBO.js";
import "../chunk-7QYVSWCZ.js";
import "../chunk-7ZUGDRDC.js";
import "../chunk-SNODHFJA.js";
import "../chunk-R6F3HPQK.js";
import "../chunk-TSCDX4AS.js";
import "../chunk-2UZAGVNK.js";
import "../chunk-D6B6MYVG.js";
import "../chunk-HWZ7BV3F.js";
import "../chunk-EC7XUR3R.js";
import "../chunk-2IRLTGMX.js";
import "../chunk-RSLTBO5X.js";
import "../chunk-6B24OWYC.js";
import "../chunk-AKLYUMQO.js";
import "../chunk-YX6CL4KH.js";
import "../chunk-I45WP5PM.js";
import "../chunk-MIZOLME5.js";
import "../chunk-QV2QPYMW.js";
import "../chunk-CFICINSP.js";
import "../chunk-3KKFLSLG.js";
import "../chunk-O4GTSXBN.js";
import "../chunk-PLBFBDKH.js";
import "../chunk-2H4XRKWS.js";
import "../chunk-NSJKG6AJ.js";
import "../chunk-WJUQ3VXF.js";
import "../chunk-XBBCTS7U.js";
import "../chunk-2OUSR2BE.js";
import "../chunk-ZDZ4EQHN.js";
import "../chunk-PZP2B3FC.js";
import "../chunk-MLCD7TOL.js";
import "../chunk-LCRTQAGZ.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-R4HPQHIC.js";
import "../chunk-73CVRDI7.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-LAWEUL6N.js";
import "../chunk-V5ZQ2SFQ.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-EDNCPFSF.js";
import "../chunk-QUQRUDWG.js";
import "../chunk-3KQS63H6.js";
import "../chunk-C7K2ID3C.js";
import "../chunk-L324TYGN.js";
import "../chunk-5DS3NT57.js";
import "../chunk-K7Z2KDW3.js";
import "../chunk-GY34N3KU.js";
import "../chunk-QUKKMPRF.js";
import "../chunk-UO7L7NBK.js";
import "../chunk-X56GIAWQ.js";
import "../chunk-PN34O4SN.js";
import "../chunk-UOAPXGA4.js";
import "../chunk-XOAKJFNZ.js";
import "../chunk-EJGW3W3K.js";
import "../chunk-EAYWSLQT.js";
import "../chunk-I7BWSAN6.js";

// src/node/files.spec.ts
import { resolve } from "node:path";
describe("files.spec", () => {
  it("should fetch some", async () => {
    const result = walkSync(__dirname);
    expect(result).toMatchInlineSnapshot(`
      Array [
        "args.spec.ts",
        "args.ts",
        "clipboard.ts",
        "crypto.ts",
        "env.spec.ts",
        "env.ts",
        "files-async.spec.ts",
        "files-async.ts",
        "files.spec.ts",
        "files.ts",
        "filestorage.spec.ts",
        "filestorage.ts",
        "fs.spec.ts",
        "fs.ts",
        "glob.spec.ts",
        "glob.ts",
        "index.ts",
        "log/index.ts",
        "log/log-context-node.ts",
        "log/log-file.spec.ts",
        "log/log-file.ts",
        "log/log-node.spec.ts",
        "log/log-node.ts",
        "log/log-util.spec.ts",
        "log/log-util.ts",
        "open-browser.spec.ts",
        "open-browser.ts",
      ]
    `);
  });
  it("should fetch some 2", async () => {
    const result = files({
      basePath: __dirname,
      pattern: "files*.spec.ts"
    });
    expect(result).toMatchInlineSnapshot(`
      Array [
        "files-async.spec.ts",
        "files.spec.ts",
        "filestorage.spec.ts",
      ]
    `);
  });
  it("should fetch some subfolders", async () => {
    const basePath = resolve(__dirname, "..");
    expect(basePath).not.toBeNull();
    const result = files({
      basePath,
      pattern: "*/log-*.ts"
    });
    expect(result).toMatchInlineSnapshot(`
      Array [
        "browser/log/log-browser-factory.ts",
        "browser/log/log-browser.ts",
        "browser/log/log-colors.ts",
        "browser/log/log-context-browser.ts",
        "common/log/log-base.ts",
        "common/log/log-colors.ts",
        "common/log/log-config.ts",
        "common/log/log-console-capture.ts",
        "common/log/log-console-original.ts",
        "common/log/log-console.ts",
        "common/log/log-context.ts",
        "common/log/log-filter.spec.ts",
        "common/log/log-filter.ts",
        "common/log/log-memory.spec.ts",
        "common/log/log-memory.ts",
        "node/log/log-context-node.ts",
        "node/log/log-file.spec.ts",
        "node/log/log-file.ts",
        "node/log/log-node.spec.ts",
        "node/log/log-node.ts",
        "node/log/log-util.spec.ts",
        "node/log/log-util.ts",
      ]
    `);
  });
});
//# sourceMappingURL=files.spec.js.map